The Sephiroth_Patch_Lite_V1_1.zip file you have requested: Modifications / Scorpicus Sephiroth / Sephiroth v1.1 Patch Lite - 35.84mb is not available. Perhaps try browsing all files for the game FINAL FANTASY VII and upload any files you want to share or are missing. This is the only information we could locate:

Scorpicus' Sephiroth patch Lite version 1.1 for FFVII PC - this version requires "Scorpicus Sephiroth Patch V1.0" to install. If you don't have version 1.0 installed, you require the full version of 1.1. Don't download this one.

The V1.1 of the Sephiroth Patch. It requires version 1.0 of the Seph patch to install.

We recommend you return to the download list and browse the links from there. If the problem persists, contact us with the details.

More games Add game